From 23041a44dd6c3fcaa18e5cb3f63140e3cb76d6b8 Mon Sep 17 00:00:00 2001
From: Marcel Holtmann <marcel@holtmann.org>
Date: Thu, 4 Apr 2019 14:02:38 +0200
Subject: build: Add missing HAVE_CONFIG_H guards and include config.h

---
 plugins/ofono.c         | 4 ++++
 plugins/sim_hardcoded.c | 5 +++++
 src/eap-mschapv2.c      | 4 ++++
 src/nl80211util.c       | 4 ++++
 src/plugin.c            | 4 ++++
 src/sae.c               | 4 ++++
 src/simauth.c           | 4 ++++
 src/simutil.c           | 4 ++++
 8 files changed, 33 insertions(+)

diff --git a/plugins/ofono.c b/plugins/ofono.c
index 077045ff..fc2561f6 100644
--- a/plugins/ofono.c
+++ b/plugins/ofono.c
@@ -20,6 +20,10 @@
  *
  */
 
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
 #include <stdio.h>
 #include <ctype.h>
 #include <stdio.h>
diff --git a/plugins/sim_hardcoded.c b/plugins/sim_hardcoded.c
index b5ea6b09..6e87f347 100644
--- a/plugins/sim_hardcoded.c
+++ b/plugins/sim_hardcoded.c
@@ -19,6 +19,11 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  *
  */
+
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
 #include <errno.h>
 
 #include <ell/ell.h>
diff --git a/src/eap-mschapv2.c b/src/eap-mschapv2.c
index 78404e22..e1f4ab5d 100644
--- a/src/eap-mschapv2.c
+++ b/src/eap-mschapv2.c
@@ -20,6 +20,10 @@
  *
  */
 
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
 #include <ctype.h>
 #include <stdio.h>
 #include <errno.h>
diff --git a/src/nl80211util.c b/src/nl80211util.c
index 0d690e86..a9c3914a 100644
--- a/src/nl80211util.c
+++ b/src/nl80211util.c
@@ -20,6 +20,10 @@
  *
  */
 
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
 #include <linux/if_ether.h>
 #include <ell/ell.h>
 
diff --git a/src/plugin.c b/src/plugin.c
index 2d96f657..a62fb033 100644
--- a/src/plugin.c
+++ b/src/plugin.c
@@ -20,6 +20,10 @@
  *
  */
 
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
 #include <fnmatch.h>
 
 #include <ell/ell.h>
diff --git a/src/sae.c b/src/sae.c
index 782a3069..cab004bd 100644
--- a/src/sae.c
+++ b/src/sae.c
@@ -20,6 +20,10 @@
  *
  */
 
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
 #include <ell/ell.h>
 
 #include "src/util.h"
diff --git a/src/simauth.c b/src/simauth.c
index 5ed4dde7..4244304a 100644
--- a/src/simauth.c
+++ b/src/simauth.c
@@ -20,6 +20,10 @@
  *
  */
 
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
 #include <ctype.h>
 #include <stdio.h>
 #include <errno.h>
diff --git a/src/simutil.c b/src/simutil.c
index 8de0645f..f0542c71 100644
--- a/src/simutil.c
+++ b/src/simutil.c
@@ -20,6 +20,10 @@
  *
  */
 
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
 #include <ctype.h>
 #include <stdio.h>
 #include <errno.h>
-- 
cgit 1.2-0.3.lf.el7

